Bug 246072 - [NEW PORT] games/shockolate: Cross platform System Shock
Summary: [NEW PORT] games/shockolate: Cross platform System Shock
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-01 05:39 UTC by shamaz.mazum
Modified: 2020-06-28 17:32 UTC (History)
1 user (show)

See Also:


Attachments
The new port (10.94 KB, text/plain)
2020-05-01 05:39 UTC, shamaz.mazum
no flags Details
The new port (10.99 KB, text/plain)
2020-06-02 16:50 UTC, shamaz.mazum
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description shamaz.mazum 2020-05-01 05:39:57 UTC
Created attachment 213970 [details]
The new port

Please add games/shockolate which is a modern, cross-platform version of System Shock
Comment 1 shamaz.mazum 2020-06-02 16:50:47 UTC
Created attachment 215171 [details]
The new port

An updated port which fetches from the main repository on github, not from my fork (since all my patches was accepted upstream).
Comment 2 commit-hook freebsd_committer 2020-06-28 14:24:47 UTC
A commit references this bug:

Author: lwhsu
Date: Sun Jun 28 14:24:00 UTC 2020
New revision: 540723
URL: https://svnweb.freebsd.org/changeset/ports/540723

Log:
  Add games/shockolate, Cross platform System Shock

  PR:		246072
  Submitted by:	Vasily Postnicov <shamaz.mazum@gmail.com>

Changes:
  head/games/Makefile
  head/games/shockolate/
  head/games/shockolate/Makefile
  head/games/shockolate/distinfo
  head/games/shockolate/files/
  head/games/shockolate/files/patch-src_GameSrc_setup.c
  head/games/shockolate/files/patch-src_Libraries_RES_Source_caseless.c
  head/games/shockolate/files/patch-src_MacSrc_OpenGL.cc
  head/games/shockolate/files/patch-src_MusicSrc_MusicDevice.c
  head/games/shockolate/pkg-descr
  head/games/shockolate/pkg-message
  head/games/shockolate/pkg-plist
Comment 3 Li-Wen Hsu freebsd_committer 2020-06-28 14:25:26 UTC
Committed, thanks! Some minor modifications:

- Pet `portlint -acbt` (Use %%PREFIX%% in pkg-message)
- Add WWW in pkg-descr

BTW can you also try to send the patches to the upstream?
Comment 4 shamaz.mazum 2020-06-28 17:09:11 UTC
> BTW can you also try to send the patches to the upstream?

These patches allow system-wide installation of system shock and currently depend on FreeBSD's ports infrastructure (post-patch target). The same can be done with cmake, but I do not have time for this right now :( Maybe later
Comment 5 Li-Wen Hsu freebsd_committer 2020-06-28 17:32:15 UTC
(In reply to shamaz.mazum from comment #4)
Thanks, please do find time to do this. This will make the future update easier and let the upstream there are FreeBSD users.